<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoGeneratedRunConfigurationManager">
    <projectFile profileName="http">BookHive/BookHive.csproj</projectFile>
    <projectFile profileName="https">BookHive/BookHive.csproj</projectFile>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="4c0ad985-5b6e-4587-85a5-1b48273bdb1d" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/.idea.BookHive/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/.idea.BookHive/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Program.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Program.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Specifications/Books/GetBookByIdSpec.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Specifications/Books/GetBookByIdSpec.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Validators/Books/CreateBookDtoValidator.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Validators/Books/CreateBookDtoValidator.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Validators/Loans/CreateLoanDtoValidator.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Validators/Loans/CreateLoanDtoValidator.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Validators/Reviews/CreateReviewDtoValidator.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Validators/Reviews/CreateReviewDtoValidator.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/Validators/Reviews/UpdateReviewDtoValidator.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/Validators/Reviews/UpdateReviewDtoValidator.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/bin/Debug/net10.0/BookHive.dll" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/bin/Debug/net10.0/BookHive.dll" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/bin/Debug/net10.0/BookHive.pdb" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/bin/Debug/net10.0/BookHive.pdb" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.AssemblyInfo.cs" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.AssemblyInfo.cs" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.AssemblyInfoInputs.cache" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.AssemblyInfoInputs.cache" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.csproj.CoreCompileInputs.cache" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.csproj.CoreCompileInputs.cache" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.dll" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.dll" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.pdb" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/BookHive.pdb" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/ref/BookHive.dll" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/ref/BookHive.dll" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/refint/BookHive.dll" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/refint/BookHive.dll" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/rjsmcshtml.dswa.cache.json" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/rjsmcshtml.dswa.cache.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/rjsmrazor.dswa.cache.json" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/Debug/net10.0/rjsmrazor.dswa.cache.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/BookHive/obj/rider.project.restore.info" beforeDir="false" afterPath="$PROJECT_DIR$/BookHive/obj/rider.project.restore.info" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DpaMonitoringSettings">
    <option name="firstShow" value="false" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Books/CreateBookEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Books/UpdateBookEndpoit.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Loans/CreateLoanEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Loans/PatchReturnLoanEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Members/CreateMemberEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Members/UpdateMemberEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Endpoints/Reviews/CreateReviewEndpoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Specifications/Loans/GetAvailableBookByIdSpec.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Specifications/Reviews/GetReviewByCriteriaSpec.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Authors/CreateAuthorDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Authors/GetAuthorDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Authors/UpdateAuthorDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Books/CreateBookDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Books/GetBookDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Books/UpdateBookDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/CustomValidators.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Loans/CreateLoanDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Loans/PatchLoanDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Loans/UpdateLoanDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Members/CreateMemberDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Members/UpdateMemberDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Reviews/CreateReviewDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/BookHive/Validators/Reviews/UpdateReviewDtoValidator.cs" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MetaFilesCheckinStateConfiguration" checkMetaFiles="true" />
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="QODANA_PROBLEMS_VIEW_TAB" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 5
}</component>
  <component name="ProjectId" id="3Aiuj7MQNTWLiWp2KXQdFXkcvkz" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    ".NET Launch Settings Profile.BookHive: http.executor": "Run",
    "ModuleVcsDetector.initialDetectionPerformed": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.TerminalTabsStorage.copyFrom.TerminalArrangementManager.252": "true",
    "RunOnceActivity.git.unshallow": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "git-widget-placeholder": "master",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RunManager" selected=".NET Launch Settings Profile.BookHive: http">
    <configuration name="BookHive: http" type="LaunchSettings" factoryName=".NET Launch Settings Profile">
      <option name="LAUNCH_PROFILE_PROJECT_FILE_PATH" value="$PROJECT_DIR$/BookHive/BookHive.csproj" />
      <option name="LAUNCH_PROFILE_TFM" value="net10.0" />
      <option name="LAUNCH_PROFILE_NAME" value="http" />
      <option name="USE_MONO" value="0" />
      <option name="RUNTIME_ARGUMENTS" value="" />
      <option name="GENERATE_APPLICATIONHOST_CONFIG" value="1" />
      <option name="SHOW_IIS_EXPRESS_OUTPUT" value="0" />
      <option name="SEND_DEBUG_REQUEST" value="1" />
      <option name="ADDITIONAL_IIS_EXPRESS_ARGUMENTS" value="" />
      <option name="AUTO_ATTACH_CHILDREN" value="0" />
      <option name="MIXED_MODE_DEBUG" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
    <configuration name="BookHive: https" type="LaunchSettings" factoryName=".NET Launch Settings Profile">
      <option name="LAUNCH_PROFILE_PROJECT_FILE_PATH" value="$PROJECT_DIR$/BookHive/BookHive.csproj" />
      <option name="LAUNCH_PROFILE_TFM" value="net10.0" />
      <option name="LAUNCH_PROFILE_NAME" value="https" />
      <option name="USE_MONO" value="0" />
      <option name="RUNTIME_ARGUMENTS" value="" />
      <option name="GENERATE_APPLICATIONHOST_CONFIG" value="1" />
      <option name="SHOW_IIS_EXPRESS_OUTPUT" value="0" />
      <option name="SEND_DEBUG_REQUEST" value="1" />
      <option name="ADDITIONAL_IIS_EXPRESS_ARGUMENTS" value="" />
      <option name="AUTO_ATTACH_CHILDREN" value="0" />
      <option name="MIXED_MODE_DEBUG" value="0" />
      <method v="2">
        <option name="Build" />
      </method>
    </configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4c0ad985-5b6e-4587-85a5-1b48273bdb1d" name="Changes" comment="" />
      <created>1773087844958</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1773087844958</updated>
      <workItem from="1773087846465" duration="527000" />
      <workItem from="1773088517368" duration="6491000" />
      <workItem from="1773126764051" duration="8401000" />
    </task>
    <task id="LOCAL-00001" summary="first commit">
      <option name="closed" value="true" />
      <created>1773090602496</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1773090602496</updated>
    </task>
    <task id="LOCAL-00002" summary="first commit">
      <option name="closed" value="true" />
      <created>1773090621044</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1773090621044</updated>
    </task>
    <task id="LOCAL-00003" summary="created all endpoints">
      <option name="closed" value="true" />
      <created>1773091913623</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1773091913623</updated>
    </task>
    <task id="LOCAL-00004" summary="fix error with sending responses">
      <option name="closed" value="true" />
      <created>1773127149315</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1773127149315</updated>
    </task>
    <task id="LOCAL-00005" summary="insert datas">
      <option name="closed" value="true" />
      <created>1773128141686</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1773128141686</updated>
    </task>
    <task id="LOCAL-00006" summary="added validators in project">
      <option name="closed" value="true" />
      <created>1773132752060</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1773132752060</updated>
    </task>
    <option name="localTasksCounter" value="7" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="UnityCheckinConfiguration" checkUnsavedScenes="true" />
  <component name="UnityProjectConfiguration" hasMinimizedUI="false" />
  <component name="VcsManagerConfiguration">
    <option name="CLEAR_INITIAL_COMMIT_MESSAGE" value="true" />
    <MESSAGE value="first commit" />
    <MESSAGE value="created all endpoints" />
    <MESSAGE value="fix error with sending responses" />
    <MESSAGE value="insert datas" />
    <MESSAGE value="added validators in project" />
    <option name="LAST_COMMIT_MESSAGE" value="added validators in project" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.OperationCanceledException" breakIfHandledByOtherCode="false" displayValue="System.OperationCanceledException" />
          <option name="timeStamp" value="1" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.Tasks.TaskCanceledException" breakIfHandledByOtherCode="false" displayValue="System.Threading.Tasks.TaskCanceledException" />
          <option name="timeStamp" value="2" />
        </breakpoint>
        <breakpoint enabled="true" type="DotNet_Exception_Breakpoints">
          <properties exception="System.Threading.ThreadAbortException" breakIfHandledByOtherCode="false" displayValue="System.Threading.ThreadAbortException" />
          <option name="timeStamp" value="3" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>